/*
    Trabalho Prtico I - IPDI
    -------------------------
    Anderson de Rezende Rocha <anderson.rocha@ic.unicamp.br>
    Leyza E. Baldo Dorini <leyzad@yahoo.com.br>

    Implementacao da classe tratadora de erros

    OBSERVAO
    ----------
    Imagem[i,j] = *(Imagem + i * nc + j)
*/

void tratarErro(int n)
{
    switch(n)
    {
        case 1:
            printf("Erro #%d: valor de K maior que o numero de elementos da janela\n", n);
            break;
        case 2:
            printf("Erro #%d: imagem pequena para suportar esta janela\n", n);
            break;
        case 3:
            printf("Erro #%d: nao foi possivel ler imagem de entrada\n", n);
            break;
        default:
    }
}

void tratarSintaxe(int n)
{
    switch(n)
    {
        case 1:
            // Sintaxe Vizinha Seletiva
            printf("\nSintaxe: vizinhancaSeletiva <imagem_entrada> <imagem_saida>\n", n);
            break;
        case 2:
            // Sintaxe Nagao
            printf("\nSintaxe: nagao <imagem_entrada> <imagem_saida>\n", n);
            break;
        case 3:
            // Sintaxe Ordem K
            printf("\nSintaxe: ordemK <imagem_entrada> <imagem_saida> <tamanho_janela> <k_simo>\n", n);
            break;
        case 4:
            // Sintaxe K Vizinhos
            printf("\nSintaxe: kVizinhos <imagem_entrada> <imagem_saida> <tamanho_janela> <k_a_selecionar>\n", n);
            break;
        case 5:
            // Sintaxe clculo do erro
            printf("\nSintaxe: rms <imagem_entrada> <imagem_saida> <offset_borda> \n", n);
            printf("\nOBS.: offset_borda eh o valor a ser descontado nas bordas\n", n);
            break;
        case 6:
            // Sintaxe Transformada de Hough com uso da direo do gradiente
            printf("\nSintaxe: hough <imagem_tons_cinza> <imagem_deteccao_contorno> <imagem_saida>  \n", n);
            break;    
       case 7:
            // Sintaxe Transformada de Hough sem o uso da direo do gradiente
            printf("\nSintaxe: hough <imagem_entrada> <imagem_saida>  \n", n);
            break;        
        default:
    }
}


